;; Better buffer switching and file loading (load first in case we need the
;; * Messages * buffer)
(require 'ido)
(setq ido-enable-flex-matching t)
(ido-mode t)

(require 'python-mode)
(require 'ipython)
(require 'show-wspace)
(require 'mercurial)
(require 'diff-mode-)
(require 'midnight)

(require 'textmate)
(textmate-mode)
;; override what makes a project root
(setq *textmate-project-roots* '(".git" ".hg"))

(require 'yaml-mode)
(add-to-list 'auto-mode-alist '("\\.yml$" . yaml-mode))

(require 'nose)
(require 'http-twiddle)
